/**
 * @file
 * @brief ライティング済み3Dスプライト属性の定義を行う.
 * 
 * @author S.F.
 * @version $Id:
 *
 * Copyright (C) 2000-2002 Satoshi Fujiwara. All Rights Reserved.*/
/// 重複インクルード防止マクロ
#if !defined(AFX_OBJ3DL_H__D55D6FF5_0A23_4FDD_A6A5_4C2EFE1B6E28__INCLUDED_)
#define AFX_OBJ3DL_H__D55D6FF5_0A23_4FDD_A6A5_4C2EFE1B6E28__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "sf.h"
#include "Obj3D.h"
extern "C" {
namespace sf {
	namespace system {
		namespace console {
/** ライティング済みテクスチャスプライト属性 */
class SFDLL Obj3DL : public Obj3D  
{
public:
	/// コンストラクタ
	Obj3DL();
	/// デストラクタ
	virtual ~Obj3DL();
	
	virtual void draw(){if(visibility()) sprite()->draw(this);};
	
	/** 表示色を取得する
	 @return console::COLOR */
	const COLOR color() const { return mColor;}; 
	/** 表示色を設定する
	 @param value console::COLOR */
	void  color(const COLOR value) { mColor = value;}; 
				
	/** スペキュラ色を取得する
	 @return console::COLOR */
	const COLOR specular() const { return mSpecular;}; 
	/** スペキュラ色を設定する
	 @param value console::COLOR */
	void  specular(const COLOR value) { mSpecular = value;}; 

private:
	COLOR mColor;///< 表示色
	COLOR mSpecular;///< スペキュラ色
};
		}
	}
}
}
#endif // !defined(AFX_OBJ3DL_H__D55D6FF5_0A23_4FDD_A6A5_4C2EFE1B6E28__INCLUDED_)
